Creates a new Runtime in a given project and location.

### HTTP request

`POST https://notebooks.googleapis.com/v1/{parent}/runtimes`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `parent=projects/{projectId}/locations/{location}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `notebooks.runtimes.create` |

### Query parameters

| Parameters ||
|---|---|
| `runtimeId` | `string` Required. User-defined unique ID of this Runtime. |
| `requestId` | `string` Idempotent request UUID. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.runtimes#Runtime`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).